%define upstream_name pyftpdlib

Name:		python-%{upstream_name}
Version:	1.5.4
Release:	%mkrel 4
Summary:	Python FTP server library
Group:		System/Libraries
License:	MIT
URL:		https://github.com/giampaolo/pyftpdlib
Source0:	https://github.com/giampaolo/pyftpdlib/archive/pyftpdlib-release-%{version}.tar.gz
BuildArch:	noarch

%description
Python FTP server library provides a high-level portable interface to easily
write asynchronous FTP servers with Python. pyftpdlib is currently the most
complete RFC-959 FTP server implementation available for Python programming
language.

%package -n python3-%{upstream_name}
Summary:	Python FTP server library
BuildRequires:	python3

%description -n python3-%{upstream_name}
Python FTP server library provides a high-level portable interface to easily
write asynchronous FTP servers with Python. pyftpdlib is currently the most
complete RFC-959 FTP server implementation available for Python programming
language.

%prep
%setup -q -n %{upstream_name}-release-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%doc CREDITS HISTORY.rst LICENSE README.rst
%{python3_sitelib}/%{upstream_name}
%{python3_sitelib}/%{upstream_name}-%{version}-py%{python3_version}.egg-info
%{_bindir}/ftpbench


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.5.4-4.mga8
+ Revision: 1532672
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 1.5.4-3.mga8
+ Revision: 1442594
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 shlomif <shlomif> 1.5.4-2.mga7
+ Revision: 1351373
- Rebuild for python3 3.7

* Sat Oct 27 2018 guillomovitch <guillomovitch> 1.5.4-1.mga7
+ Revision: 1326152
- new version 1.5.4

* Thu Sep 20 2018 umeabot <umeabot> 1.5.3-2.mga7
+ Revision: 1289778
- Mageia 7 Mass Rebuild

* Sat Mar 24 2018 guillomovitch <guillomovitch> 1.5.3-1.mga7
+ Revision: 1211948
- new version 1.5.3

* Sat Aug 05 2017 pterjan <pterjan> 1.5.1-2.mga7
+ Revision: 1135566
- Rebuild for python 3.6

* Sat Nov 12 2016 guillomovitch <guillomovitch> 1.5.1-1.mga6
+ Revision: 1066645
- new version 1.5.1

* Wed Dec 16 2015 guillomovitch <guillomovitch> 1.5.0-1.mga6
+ Revision: 911077
- new version 1.5.0

* Sat Oct 10 2015 tv <tv> 1.2.0-9.mga6
+ Revision: 888842
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-8.mga5
+ Revision: 750095
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.0-7.mga5
+ Revision: 729454
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-6.mga5
+ Revision: 688252
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.2.0-5.mga5
+ Revision: 628943
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.2.0-4.mga4
+ Revision: 543978
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.0-3.mga4
+ Revision: 499201
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Sep 03 2013 guillomovitch <guillomovitch> 1.2.0-2.mga4
+ Revision: 474849
- add python3 version

* Fri Aug 09 2013 guillomovitch <guillomovitch> 1.2.0-1.mga4
+ Revision: 464947
- new version

* Sun Jan 13 2013 umeabot <umeabot> 0.7.0-2.mga3
+ Revision: 379339
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 guillomovitch <guillomovitch> 0.7.0-1.mga3
+ Revision: 257609
- imported package python-pyftpdlib

